package org.gcube.portlets.user.invitefriends.client;

import org.gcube.portlets.user.invitefriends.client.resources.Images;

import com.github.gwtbootstrap.client.ui.Button;
import com.github.gwtbootstrap.client.ui.Label;
import com.github.gwtbootstrap.client.ui.Modal;
import com.github.gwtbootstrap.client.ui.ModalFooter;
import com.github.gwtbootstrap.client.ui.TextBox;
import com.google.gwt.core.client.GWT;
import com.google.gwt.event.dom.client.ClickEvent;
import com.google.gwt.event.dom.client.ClickHandler;
import com.google.gwt.user.client.Window;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.HTML;
import com.google.gwt.user.client.ui.HasAlignment;
import com.google.gwt.user.client.ui.HasVerticalAlignment;
import com.google.gwt.user.client.ui.HorizontalPanel;
import com.google.gwt.user.client.ui.Image;
import com.google.gwt.user.client.ui.VerticalPanel;
/**
 * 
 * @author M. Assante, ISTI-CNR
 *
 */
public class InviteFriendsPanel  extends Composite {
	
	private final InviteServiceAsync service = GWT.create(InviteService.class);
	public static final String DISPLAY_NAME =  "Invite people to this VRE";

	private Image loadingImage;


	private VerticalPanel mainPanel;

	public InviteFriendsPanel() {
		super();
	
		mainPanel = new VerticalPanel();
		
		mainPanel.setWidth("100%");
		mainPanel.setStyleName("invites-frame");
		
		HTML name = new HTML(DISPLAY_NAME);
		name.setStyleName("invites-title");
	
		HorizontalPanel hp = new HorizontalPanel();
		hp.setVerticalAlignment(HasVerticalAlignment.ALIGN_MIDDLE);
		hp.add(name);		

		TextBox text = new TextBox();
		text.setPlaceholder("e-mail address");
	
		Button send = new Button("Send Invite");
		
		mainPanel.add(hp);
		mainPanel.add(text);
		mainPanel.add(send);
		
		initWidget(mainPanel);

		send.addClickHandler(new ClickHandler() {
			@Override
			public void onClick(ClickEvent arg0) {
				Modal mod = new  Modal();
			
				mod.add(new Label("Ciao"));
				ModalFooter mf = new ModalFooter();
				Button asend = new Button("Send");
				mf.add(asend);
				mod.setAnimation(true);
				mod.show();
				
				mod.add(mf);
				
			}
		});
		
	}


	private void showLoader() {
		mainPanel.clear();
		mainPanel.setWidth("100%");
		mainPanel.setHorizontalAlignment(HasAlignment.ALIGN_CENTER);
		mainPanel.setVerticalAlignment(HasVerticalAlignment.ALIGN_MIDDLE);
		mainPanel.add(loadingImage);
	}
}
